Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514823 - owncloud needs some patches for sabre dav 3.2
Summary: owncloud needs some patches for sabre dav 3.2
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-18 18:31 UTC by Fabrice Bellet
Modified: 2018-11-15 09:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Fabrice Bellet 2017-11-18 18:31:18 UTC
calendars fails to find user directory from principals, due to changes in sabre dav between 3.0.9 and 3.2.2 (https://github.com/sabre-io/dav/issues/755).

Upstream fixed owncloud for this compatibility issue there:

https://github.com/owncloud/core/commit/6b8e8edcffdcf2b525e5f26683b42fe0485cc2e8#diff-1aec04ba25037067a4d2c1fc323ed253

Comment 1 Randy Barlow 2018-03-05 00:10:45 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1525208

Comment 2 Randy Barlow 2018-03-05 00:16:04 UTC
It appears that that commit first appeared in the 10.0.0 release of OwnCloud core. I have no idea if it would cleanly backport to 9.1.5, but hopefully it could be backported without too much trouble as I presume the 10.0.0 might not be backward compatible (is it? I'm not sure, just guessing based on the version bump.)

Comment 3 Randy Barlow 2018-03-10 21:46:31 UTC
I spent a bit of time today trying to see how cleanly the patch would backport to the 9.1.5 release. It was mostly pretty clean except for the tests, which are not run by the spec file. I did find that the resulting patch did not apply nicely together with the many other patches applied in the spec file, however, so it was non-trivial.

There is also a 9.1.7 release of owncloud, but it does not support the newer sabredav either.

Comment 4 Fabrice Bellet 2018-05-27 09:00:04 UTC
Currently, for Fedora 27, I just had to downgrade php-sabre-dav to version 3.0.9 to have a working owncloud 9.1.5 instance. And now for Fedora 28, I also have to apply this patch:
https://github.com/nextcloud/server/pull/5072/commits/b8f2418248312826f1ccb9d7cf942f8844e02f7b

With these two modifications in Fedora 28, I have an instance of owncloud 9.1.5 that basically still works for me (files, contacts, and calendar).


Note You need to log in before you can comment on or make changes to this bug.